> For the complete documentation index, see [llms.txt](https://docs.aamsystems.ru/passoffice/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aamsystems.ru/passoffice/passoffice-guide/admin-guide-doc/konfigurirovanie/form/otchety/panel-filtrov.md).

# Панель фильтров

На вкладке «Атрибуты» настройте атрибуты для фильтров отчётов:

* Укажите атрибут и тип фильтра: «равенство», «вхождение», «больше», «меньше».
* При наведении на поле отображается его идентификатор, при клике — копируется в буфер обмена.
* Доступны загрузка и скачивание файла.

#### Вкладка «Шаблон»

После настройки атрибутов на вкладке «Шаблон»:

* Доступен предпросмотр шаблона.
* Можно загрузить или скачать шаблон.
* В шаблоне можно:
  * Настроить переводы.
  * Создавать или удалять вкладки и атрибуты.
  * Указать menuID (определяет вкладку, в которой находится поле) и controlId (идентификатор поля).

{% hint style="info" %}
Для отображения поля добавьте его и в «Атрибуты», и в «Шаблон».
{% endhint %}

> Пример, как отфильтровать заявки по определенным организациям и без организаций

```json
{
        "fieldId": "organization",
        "configuration": {
            "filterTypes": [
                "selection",
                "none"
            ]
        }
}
```

> Пример, как отфильтровать заявку только по двум статусам - "Согласовано" и "Отказано"

```json
{
        "fieldId": "state",
        "configuration": {
            "autocomplete": {
                "source": [
                    {
                        "id": "3",
                        "label": "Согласовано"
                    },
                    {
                        "id": "4",
                        "label": "Отказано"
                    }
                ]
            }
        }
}
```

> Пример фильтра по дате создания, только относительный и только период в будущем

```json
{
        "fieldId": "createdAt",
        "configuration": {
            "filterTypes": [
                "relative"
            ],
            "filterSubTypes": [
                "futurePeriod"
            ]
        }
}
```

> Пример фильтра по строке только по вхождению

```json
{
        "fieldId": "purposeOfVisit",
        "operatorType": "like"
}
```

> Пример фильтра по строке только по точному совпадению

```json
{
        "fieldId": "purposeOfVisit",
        "operatorType": "eq"
}
```

> Пример фильтра по площадкам, только выбор из списка и указывать только одну площадку в фильтре

```
{
        "fieldId": "sites",
        "configuration": {
            "filterTypes": [
                "selection"
            ],
            "autocomplete": {
                "multiSelect": false
            }
        }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aamsystems.ru/passoffice/passoffice-guide/admin-guide-doc/konfigurirovanie/form/otchety/panel-filtrov.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
